app.config(function($stateProvider, $urlRouterProvider) {
  $stateProvider
  	//sidebar
    .state('app', {
      url: "/app",
      abstract: true,
      templateUrl: "templates/sidebar-menu.html"
    })
   //  scoreboard page
   .state('app.scoreboard', {
      url: "/scoreboard",
      views: {
        'menuContent' :{
            templateUrl: "templates/scoreboard.html",
          controller: "ScoreboardCtrl"
        }
      }
    })
   //  calendar page
   .state('app.calendar', {
      url: "/calendar",
      views: {
        'menuContent' :{
            templateUrl: "templates/calendar.html",
          controller: "CalendarCtrl"
        }
      }
    })
   // Gameday BOX page
   .state('app.gamedayBox', {
      url: "/gamedayBox/:gameid",
    cache : false, 
      views: {
        'menuContent' :{
            templateUrl: "templates/gameday-box.html",
          controller: "GamedayBoxCtrl"
        }
      }
    })
   // Gameday PLAYS page
   .state('app.gamedayPlays', {
      url: "/gamedayPlays/:gameid",
    cache : false, 
      views: {
        'menuContent' :{
            templateUrl: "templates/gameday-plays.html",
          controller: "GamedayPlaysCtrl"
        }
      }
    })
   // Gameday HIGHLIGHTS page
   .state('app.gamedayHighlights', {
      url: "/gamedayHighlights/:gameid",
    cache : false, 
      views: {
        'menuContent' :{
            templateUrl: "templates/gameday-highlights.html",
          controller: "GamedayHighlightsCtrl"
        }
      }
    })
   // Teams page
   .state('app.teams', {
      url: "/teams",
    cache : false, 
      views: {
        'menuContent' :{
            templateUrl: "templates/teams.html",
          controller: "TeamsCtrl"
        }
      }
    })
   // Teams INFO page
   .state('app.teamInfo', {
      url: "/teamInfo/:teamid",
    cache : false, 
      views: {
        'menuContent' :{
            templateUrl: "templates/team-info.html",
          controller: "TeamInfoCtrl"
        }
      }
    })
   // Teams page
   .state('app.teamNews', {
      url: "/teamsNews/:teamid",
    cache : false, 
      views: {
        'menuContent' :{
            templateUrl: "templates/team_news.html",
          controller: "TeamsNewsCtrl"
        }
      }
    })
   // Teams ROSTER page
   .state('app.teamRoster', {
      url: "/teamRoster/:teamid",
    cache : false, 
      views: {
        'menuContent' :{
            templateUrl: "templates/team-roster.html",
          controller: "TeamRosterCtrl"
        }
      }
    })
   // Teams TRANSACTIONS page
   .state('app.teamTransactions', {
      url: "/teamTransactions",
    cache : false, 
      views: {
        'menuContent' :{
            templateUrl: "templates/team-transactions.html",
          controller: "TeamTransactionsCtrl"
        }
      }
    })
   // Stats Batting
   .state('app.statsBatting', {
      url: "/statsBatting",
    cache : false, 
      views: {
        'menuContent' :{
            templateUrl: "templates/stats-batting.html",
          controller: "StatsBattingCtrl"
        }
      }
    })
   //Pitching
   .state('app.statsPitching', {
      url: "/statsPitching",
    cache : false, 
      views: {
        'menuContent' :{
            templateUrl: "templates/stats-pitching.html",
          controller: "StatsPitchingCtrl"
        }
      }
    })
   //Stats Lists
   .state('app.statsList', {
      url: "/statsList/:statsid",
    cache : false, 
      views: {
        'menuContent' :{
            templateUrl: "templates/stats-player-list.html",
          controller: "StatsListCtrl"
        }
      }
    })
   //Standing Primera Vuelta
   .state('app.standing', {
      url: "/standing/:standingid",
    cache : false, 
      views: {
        'menuContent' :{
            templateUrl: "templates/standing.html",
          controller: "StandingCtrl"
        }
      }
    })
   //Standing por Puntos
   .state('app.standingPoints', {
      url: "/standingPoints/:standingid",
    cache : false, 
      views: {
        'menuContent' :{
            templateUrl: "templates/standing-points.html",
          controller: "StandingCtrl"
        }
      }
    })
   //Standing por Puntos
   .state('app.sistemaCompetencia', {
      url: "/sistemaCompetencia",
    cache : false, 
      views: {
        'menuContent' :{
            templateUrl: "templates/sistema_competencia.html",
          controller: "SistemaCompetenciaCtrl"
        }
      }
    })
   //Playoffs
   .state('app.playoffs', {
      url: "/playoffs/:playoffsid",
    cache : false, 
      views: {
        'menuContent' :{
            templateUrl: "templates/playoffs.html",
          controller: "PlayoffsCtrl"
        }
      }
    })
   //Serie del Caribe
   .state('app.seriedelcaribe', {
      url: "/seriedelcaribe",
    cache : false, 
      views: {
        'menuContent' :{
            templateUrl: "templates/seriedelcaribe.html",
          controller: "SerieDelCaribeCtrl"
        }
      }
    })
	 // Highlights page
	 .state('app.highlights', {
      url: "/highlights",
		cache : false,
      views: {
        'menuContent' :{
          	templateUrl: "templates/highlights.html",
		  		controller: "HighlightsCtrl"
        }
      }
    })
	 // profile page
	 .state('app.news', {
      url: "/news",
      views: {
        'menuContent' :{
          	templateUrl: "templates/news.html",
		  		controller: "NewsCtrl"
        }
      }
    })
	.state('app.post', {
      url: "/post/:postid",
      views: {
        'menuContent' :{
          	templateUrl: "templates/post.html",
		  		controller: "PostCtrl"
        }
      }
    })
	 .state('app.settings', {
      url: "/settings",
      views: {
        'menuContent' :{
          	templateUrl: "templates/settings.html",
		  		controller: "SettingsCtrl"
        }
      }
    })
	 .state('app.about', {
      url: "/about",
      views: {
        'menuContent' :{
          	templateUrl: "templates/about.html",
		  		controller: "AboutCtrl"
        }
      }
    })
	 //  login page
  	$urlRouterProvider.otherwise("/app/scoreboard");
})