// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
var app = angular.module('LMPApp', ['ionic','ngSanitize', 'ngCordova','ngIOS9UIWebViewPatch']);
// not necessary for a web based app // needed for cordova/ phonegap application
app.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if(window.StatusBar) {
      // Set the statusbar to use the default style, tweak this to
      // remove the status bar on iOS or change it to use white instead of dark colors.
      StatusBar.styleDefault();
    }
  });
});
//app run getting device id
app.run(function ($rootScope) {
	// app device ready
	document.addEventListener("deviceready", function(){
        if(PushbotsPlugin.isiOS()){
            PushbotsPlugin.initializeiOS("561e4a55177959ae188b4567");
            PushbotsPlugin.resetBadge();
        }
        if(PushbotsPlugin.isAndroid()){
            PushbotsPlugin.initializeAndroid("561e4a55177959ae188b4567", "320698801075");
            //PushbotsPlugin.onNotificationClick(myMsgClickHandler);
        }
	});
   $rootScope.get_device_token = function () {
      if(localStorage.device_token_syt) {
         return localStorage.device_token_syt;
      } else {
         return '-1';
      }
   }
   $rootScope.set_device_token = function (token) {
      localStorage.device_token_syt = token;
      return localStorage.device_token_syt;
   }
  
   //cargo las noticias
   $rootScope.requestNewsData = true;
   $rootScope.newsData = {};
   //cargo el standing
   $rootScope.requestStandingData = true;
   $rootScope.standingData = {};
   //cargo los playoffs
   $rootScope.requestPlayoffsData = true;
   $rootScope.playoffsData = {};
   //cargamos las noticias de los equipos
   $rootScope.requestTeamNewsData = true;
   $rootScope.teamNewsData = {};
   //cargo los ultimos highlights
   //cargo las estadísticas de bateo
   $rootScope.battingAVG = [];
   $rootScope.battingR = [];
   $rootScope.battingHR = [];
   $rootScope.battingRBI = [];
   $rootScope.battingSB = [];
   //cargo las estadísticas de pitcheo
   $rootScope.pitchingW = [];
   $rootScope.pitchingERA = [];
   $rootScope.pitchingSO = [];
   $rootScope.pitchingSV = [];
   $rootScope.pitchingWHIP = [];
   //cargo el rosters
   //cargo el calendario
   //cargo los movimientos
   $rootScope.requestTransactionsData = true;
   $rootScope.transactionsCurrent = 0;
   $rootScope.transactionsData = {};
});
//myservice device registration id to localstorage
app.service('myService', ['$http', function($http) {
   this.registerID = function(regID, platform) {
		localStorage.device_token_syt = regID;
   }
}]);

// config to disable default ionic navbar back button text and setting a new icon
// logo in back button can be replaced from /templates/sidebar-menu.html file
app.config(function($ionicConfigProvider) {
    $ionicConfigProvider.backButton.text('').icon('ion-ios-arrow-back').previousTitleText(false);
})
// intro controller // 
app.controller('IntroCtrl', ['$scope', '$state', '$ionicSlideBoxDelegate', function($scope, $state, $ionicSlideBoxDelegate) {
  // Called to navigate to the main app
  $scope.next = function() {
    //$ionicSlideBoxDelegate.next();
  };
  
  $scope.previous = function() {
    $ionicSlideBoxDelegate.previous();
  };

  // Called each time the slide changes
  $scope.slideChanged = function(index) {
    $scope.slideIndex = index;
  };
  // discard and move to homepage
  $scope.discardIntroPage = function(){
		$state.go('app.scoreboard');
  }
}])
/* main controller function */
app.controller('MainCtrl', ['$scope', '$ionicSideMenuDelegate', '$ionicHistory', '$ionicPopup',  function($scope, $ionicSideMenuDelegate, $ionicHistory, $ionicPopup) {
	
	// Toggle left function for app sidebar
  	$scope.toggleLeft = function() {
  		$ionicSideMenuDelegate.toggleLeft();
  	};
  	// go back to previous page
  	$scope.goBackOne = function(){
		$ionicHistory.goBack();
	}
	
	// sharing plugin
	/*$scope.shareMain = function(){
		var title = "Download Smove For Android";
		var url = "https://play.google.com/store/apps/details?id=com.myspecialgames.swipe";
		window.plugins.socialsharing.share(title, null, null, url)
	}*/
	$scope.shareArticle = function(title,url){
		window.plugins.socialsharing.share(title, null, null, url)
	}
	$scope.openLinkArticle = function(url){
		window.open(url, '_blank', 'location=yes,closebuttoncaption=Regresar');
	}
	$scope.openVideoLink = function(url){
		//var time = Math.floor(Date.now()/1000);
        //var signature = CryptoJS.AES.encrypt(JSON.stringify(device.uuid+"-"+time), "ligadelpac2015", {format: CryptoJSAesJson}).toString();
		var link = url+"&token="+device.uuid;
		window.open(link, '_system', 'location=yes,closebuttoncaption=Regresar');
	}
}])
// Calendar page of app //
app.controller('CalendarCtrl', ['$state','$scope', '$http', '$sce', '$ionicLoading', '$ionicScrollDelegate', function($state, $scope, $http, $sce, $ionicLoading, $ionicScrollDelegate ) {	
	var d = new Date();
	var day = d.getDate();
	var month = d.getMonth()+1;
	var year = d.getFullYear();
	var days_month = daysInMonth(month,year);
	$scope.calendar=[];
	//var now = new Date(); 
	
	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	}
	$scope.hide = function(){
		$ionicLoading.hide();
	}
	function loadCalendar(day,month,year,days_month){
		$scope.show();
		$http.get("http://api.lmp.mx/api/calendarDay.php?league=1&month="+month+"&day="+day+"&year="+year+"&monthdays="+days_month+"&cache="+Math.random())
	    .success(function(calendar) {
	    	$scope.hide();
	    	$scope.calendar = calendar;
	    	$.each( calendar, function( i, gamesByDay ) {
	    		$scope.gamesByDay=gamesByDay;
	    	})
	    })
	    .error(function (error) {
			$scope.hide();
		});
	}
	loadCalendar(day,month,year,days_month);
	$scope.scrollTop = function() {
	    $ionicScrollDelegate.scrollTop();
	}
	// pull to refresh buttons
	$scope.doCalendarBack = function(){
		day--;
		if(day <= 0){
			month--;
			days_month = daysInMonth(month,year);
			day=days_month;
			if(month == 12 || month == 0 ){
				year--;
				month = 12;
			}
		}
		loadCalendar(day,month,year,days_month);
	}
	$scope.doCalendarNext = function(){
		day++;
		if(day > days_month){
			month++;
			days_month = daysInMonth(month,year);
			day=1;
			if(month > 12){
				year++;
				month = 1;
			}
		}
		//reload calendar
		loadCalendar(day,month,year,days_month);
	}

}])
// Scoreboard page of app //
app.controller('ScoreboardCtrl', ['$state','$scope', function($state, $scope) {	
	var d = new Date();
	var day = d.getDate();
	var month = d.getMonth()+1;
	var year = d.getFullYear();
	var days_month = daysInMonth(month,year);
	var master=[];
	var reloader;
	var now = new Date(); 
	var pacificTime = new Date(now.getUTCFullYear(), now.getUTCMonth(), now.getUTCDate(), now.getUTCHours()-7, now.getUTCMinutes(), now.getUTCSeconds());
	
	if(pacificTime.getHours()<12){
		var day = (pacificTime.getDate()-1);
		var month = (pacificTime.getMonth()+1);
		var year = pacificTime.getFullYear();
		if(day <= 0){
			month--;
			days_month = daysInMonth(month,year);
			day=days_month;
			if(month == 12 || month == 0 ){
				year--;
				month = 12;
			}
		}
		$scope.scorebaord_date = loadWidgets(day,month,year);
	} else {
		$scope.scorebaord_date = loadWidgets(pacificTime.getDate(),(pacificTime.getMonth()+1),pacificTime.getFullYear());
	}
	// pull to refresh buttons
	$scope.doScoreboardBack = function(){
		$(".widget-preloader").removeClass("fade-out");
		//quitamos el set interval
		clearInterval(reloader);
		day--;
		if(day <= 0){
			month--;
			days_month = daysInMonth(month,year);
			day=days_month;
			if(month == 12 || month == 0 ){
				year--;
				month = 12;
			}
		}
		//reload calendar
		$scope.scorebaord_date = loadWidgets(day,month,year);
	}
	$scope.doScoreboardNext = function(){
		$(".widget-preloader").removeClass("fade-out");
		//quitamos el set interval  
		clearInterval(reloader);   
		day++;
		if(day > days_month){
			month++;
			days_month = daysInMonth(month,year);
			day=1;
			if(month > 12){
				year++;
				month = 1;
			}
		}
		//reload calendar
		$scope.scorebaord_date = loadWidgets(day,month,year);
	}
}])
// GamedayBoxCtrl page of app //
app.controller('GamedayBoxCtrl', ['$scope', '$stateParams', '$http', '$sce', '$ionicLoading', '$ionicScrollDelegate', function($scope, $stateParams, $http, $sce, $ionicLoading, $ionicScrollDelegate) {	
	$scope.box = [];
	$scope.scores = [];
	$scope.gameid = $stateParams.gameid;
	
	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	};
	$scope.hide = function(){
		$ionicLoading.hide();
	};
	
	$scope.getBox = function(){
		$scope.show();
		$http.get("http://cdn.lmp.mx/widgets/boxscores/"+$stateParams.gameid+".json?cache="+Math.random())
	    .success(function(response) {
	    	$scope.hide();
	    	$scope.box = response;
	    	$scope.away_comments = $sce.trustAsHtml(response.batting.away_note.comments);
	    	$scope.away_summary = $sce.trustAsHtml(response.batting.away_note.summary);
	    	$scope.home_comments = $sce.trustAsHtml(response.batting.home_note.comments);
	    	$scope.home_summary = $sce.trustAsHtml(response.batting.home_note.summary);
	    	$scope.game_summary = $sce.trustAsHtml(response.gameInfo);
	    })
	    .error(function (error) {
			$scope.box = [];
			$scope.hide();
		});
	}
	$scope.getBox();
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.show();
		$scope.box = [];
		$scope.getBox();
		$scope.$broadcast('scroll.refreshComplete');
	}
	$scope.scrollTop = function() {
	    $ionicScrollDelegate.scrollTop();
	}
}])
// GamedayPlaysCtrl page of app //
app.controller('GamedayPlaysCtrl', ['$scope', '$stateParams', '$http', '$ionicLoading', '$ionicScrollDelegate', '$sce', function($scope, $stateParams, $http, $ionicLoading, $ionicScrollDelegate, $sce) {	
	$scope.plays = [];
	$scope.gameid = $stateParams.gameid;
	$scope.postsCompleted = true;
	$scope.data = {};
	$scope.itemsPerPage = 1;
	$scope.newData = true;
    $scope.current = 0;

	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	};
	$scope.hide = function(){
		$ionicLoading.hide();
	};
	
	$scope.getPlays = function(){
		if($scope.newData==true){
			$scope.show();
			console.log('new data es true');
			$http.get("https://librarylmp.s3.amazonaws.com/widgets/plays/"+$stateParams.gameid+".json?cache="+Math.random())
		    .success(function(response) {
		    	$scope.newData = false;
				$scope.postsCompleted = false;
				console.log(response);
		    	response.sort(function(a, b){return b["inningCurrent"]-a["inningCurrent"]});
		    	$scope.data = response;
		    	$scope.hide();
		    	$scope.plays = $scope.plays.concat($sce.trustAsHtml($scope.data[0]));
		    	$scope.current++;
		    })
		    .error(function (error) {
				$scope.plays = [];
				$scope.hide();
			});
		}else {
			//same data
			$scope.plays = $scope.plays.concat($scope.data[$scope.current]);
			$scope.current++;
			if($scope.current==$scope.data.length){
				$scope.postsCompleted = true;
			}
		}
	}
	$scope.getPlays();
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.data = {};
    	$scope.current = 0;
		$scope.postsCompleted = true;
		$scope.newData = true;

		$scope.plays = [];
		$scope.getPlays();
		$scope.$broadcast('scroll.refreshComplete');
	}
	$scope.loadMore = function() {
		$scope.getPlays();
		$scope.$broadcast('scroll.infiniteScrollComplete');
	};


	$scope.scrollTop = function() {
	    $ionicScrollDelegate.scrollTop();
	}
}])
// GamedayHighlightsCtrl page of app //
app.controller('GamedayHighlightsCtrl', ['$scope', '$stateParams', '$http', '$sce', '$ionicLoading', function($scope, $stateParams, $http, $sce, $ionicLoading) {	
	$scope.highlights = [];
	$scope.gameid = $stateParams.gameid;
	
	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	};
	$scope.hide = function(){
		$ionicLoading.hide();
	};
	
	$scope.getHighlights = function(){
		$scope.show();
		$http.get("https://itvimages.s3.amazonaws.com/api/highlights_lmp/"+$stateParams.gameid+".json")
	    .success(function(response) {
	    	$scope.hide();
	    	response.sort(function(a, b){return a["ID"]-b["ID"]});
	    	$scope.highlights = $scope.highlights.concat($sce.trustAsHtml(response));
	    })
		.error(function (error) {
			$scope.highlights = [];
			$scope.hide();
		});
	}
	$scope.getHighlights();
	$scope.getMediumThumb = function(obj){
    	return obj.replace("/thumb_", "/player_");
  	};
  	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.highlights = [];
		$scope.getHighlights();
		$scope.$broadcast('scroll.refreshComplete');
	}
}])

// TeamsCtrl page of app //
app.controller('TeamsCtrl', ['$state','$scope', function($state, $scope) {	
	// add your login logic here
}])
// TeamsCtrl page of app //
app.controller('TeamInfoCtrl', ['$scope', '$stateParams', 'TeamsData', function($scope, $stateParams, TeamsData) {	
	// add your login logic here
	$scope.teamid = $stateParams.teamid;
	// load more content function
	TeamsData.getTeamsData()
	.success(function (teams) {
		//con esto saco un nodo
		console.log(teams);
		var team = teams.filter(function(teams) {
	        return teams.id == $stateParams.teamid;
	      })[0];
		$scope.teamFullName = team.teamFullName;
		$scope.president = team.president;
		$scope.teamName = team.teamName;
		$scope.stadium = team.stadium;
		$scope.distances = team.distances;
		$scope.capacity = team.capacity;
		$scope.website = team.website;
		$scope.email = team.email;
		$scope.telphone = team.telephone;
		$scope.address = team.address;
		$scope.city = team.city;
		$scope.zipcode = team.zipcode;
		$scope.facebook = team.facebook;
		$scope.twitter = team.twitter;
	})
	.error(function (error) {
		$scope.items = [];
	});
}])
// TeamsCtrl page of app //
app.controller('TeamsNewsCtrl', ['$rootScope', '$state', '$scope', '$stateParams', 'TeamNewsData', '$ionicLoading', function($rootScope, $state, $scope, $stateParams, TeamNewsData, $ionicLoading) {	
	// add your login logic here
	$scope.teamNews = [];
	$scope.teamid = $stateParams.teamid;
	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	};
	$scope.hide = function(){
		$ionicLoading.hide();
	};
	$scope.getTeamNews = function(){
		if($rootScope.requestTeamNewsData==true){
			$scope.show();
			//si puedo ir a traer nuevos valores
			TeamNewsData.getNewsData()
			.success(function (teamNews) {
			$scope.hide();
			console.log('getNewsData fresco');
				$rootScope.teamNewsData = teamNews;
				$rootScope.requestTeamNewsData = false;
				$scope.teamNews = $scope.teamNews.concat($rootScope.teamNewsData[$stateParams.teamid]);
			})
			.error(function (error) {
				$scope.teamNews = [];
				$scope.hide();
			});
		} else {
			//agarramos los valores de aquí mismo
			console.log('getNewsData añejo');
			$scope.teamNews = $scope.teamNews.concat($rootScope.teamNewsData[$stateParams.teamid]);
		}
	}
	$scope.getTeamNews();
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$rootScope.requestTeamNewsData = true;
		$scope.teamNews = [];
		$scope.getTeamNews();
		$scope.$broadcast('scroll.refreshComplete');
	}
}])

// TeamsCtrl page of app //
app.controller('TeamRosterCtrl', ['$state','$scope', 'RostersData', '$ionicLoading', '$ionicScrollDelegate', '$stateParams', function($state, $scope, RostersData, $ionicLoading, $ionicScrollDelegate, $stateParams) {	
	$scope.pitchers = [];
	$scope.catchers = [];
	$scope.infielders = [];
	$scope.outfielders = [];
	// add your login logic here
	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	};
	$scope.hide = function(){
		$ionicLoading.hide();
	};
	$scope.getRosters = function(){
		$scope.show();
		RostersData.getRostersData($stateParams.teamid)
			.success(function (roster) {
				$scope.hide();
				$.each( roster, function( i, value ) {  
		            if(value.position=='Pitcher'){$scope.pitchers.push(value)}
	            	if(value.position=='Catcher'){$scope.catchers.push(value)}
	            	if(value.position=='Infield'){$scope.infielders.push(value)}
	            	if(value.position=='Outfield'){$scope.outfielders.push(value)}       
		        });
			})
			.error(function (error) {
				$scope.hide();
			});
	}
	$scope.getRosters();
	$scope.doRefresh = function(){
		$scope.pitchers = [];
		$scope.catchers = [];
		$scope.infielders = [];
		$scope.outfielders = [];
		$scope.getRosters();
		$scope.$broadcast('scroll.refreshComplete');
	}
	$scope.scrollTop = function() {
	    $ionicScrollDelegate.scrollTop();
	}
}])

// TeamsCtrl page of app //
app.controller('TeamTransactionsCtrl', ['$rootScope','$scope', 'TransactionsData', '$ionicLoading', '$ionicScrollDelegate', function($rootScope, $scope, TransactionsData, $ionicLoading, $ionicScrollDelegate ){
	$scope.transactions = [];
	$scope.postsCompleted = true;
	$scope.itemsPerPage = 12;
    $rootScope.transactionsCurrent = 0;

	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	};
	$scope.hide = function(){
		$ionicLoading.hide();
	};
	$scope.getTransactions = function(){
	    if($rootScope.requestTransactionsData==true){
	    	$scope.show();
	    	$rootScope.requestTransactionsData = false;
	    	TransactionsData.getTransactions()
			.success(function (transactions) {
				$scope.hide();
				$scope.postsCompleted = false;
				$rootScope.transactionsData = transactions;
				console.log('transactions fresco: '+$rootScope.transactionsData.length+' nodos');
				for(i=0; i<$scope.itemsPerPage; i++) {
					$scope.transactions = $scope.transactions.concat(transactions[i]);
					$rootScope.transactionsCurrent++;
				}
			})
			.error(function (error) {
				$scope.transactions = [];
				$scope.hide();
			});
	    }else {
	    	console.log('transactions añeja');
			$scope.hide();
			var y = $rootScope.transactionsCurrent;
			for(i=y; i<($scope.itemsPerPage+y); i++) {
				$scope.transactions = $scope.transactions.concat($rootScope.transactionsData[i]);
				$rootScope.transactionsCurrent++;
				if($rootScope.transactionsCurrent==$rootScope.transactionsData.length){
					$scope.postsCompleted = true;
				}
			}
	    }
	}
	$scope.loadMore = function() {
		console.log($rootScope.transactionsCurrent);
		$scope.getTransactions();
		console.log("traer fresco "+$rootScope.requestTransactionsData);
		$scope.$broadcast('scroll.infiniteScrollComplete');
	};
	$scope.scrollTop = function() {
	    $ionicScrollDelegate.scrollTop();
	}
	$scope.getTransactions();
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.postsCompleted = false;
		$rootScope.requestTransactionsData = true;
		$scope.transactions = [];
		$scope.getTransactions();
		$scope.$broadcast('scroll.refreshComplete');
	}
}]);
// Standing page of app //
app.controller('StandingCtrl', ['$rootScope','$scope', '$stateParams', 'StandingData', '$ionicLoading', function($rootScope, $scope, $stateParams, StandingData, $ionicLoading) {	
	// add your login logic here
	$scope.standings = [];
	$scope.header = "";
	$scope.standingid = $stateParams.standingid;
	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	};
	$scope.hide = function(){
		$ionicLoading.hide();
	};
	$scope.getStanding = function(){
		if($rootScope.requestStandingData==true){
			//si puedo ir a traer nuevos valores
			$scope.show();
			StandingData.getStandingData()
			.success(function (standings) {
				$scope.hide();
				$rootScope.standingData = standings;
				console.log('standing fresco');
				$rootScope.requestStandingData = false;
				if($stateParams.standingid=='first') {
					$scope.standings = $scope.standings.concat(standings.first);
					$scope.activeFirst = 'active';$scope.activeSecond = '';$scope.activeGeneral = '';
					$scope.header = standings.first[0].header;
				} else if($stateParams.standingid=='second'){
					$scope.standings = $scope.standings.concat(standings.second);
					$scope.activeFirst = '';$scope.activeSecond = 'active';$scope.activeGeneral = '';
					$scope.header = standings.first[1].header;
				} else if($stateParams.standingid=='general'){
					$scope.standings = $scope.standings.concat(standings.general);
					$scope.activeFirst = '';$scope.activeSecond = '';$scope.activeGeneral = 'active';
					$scope.header = standings.first[2].header;
				} else if($stateParams.standingid=='points'){
					$scope.standings = $scope.standings.concat(standings.points);
				}
				
			})
			.error(function (error) {
				$scope.standings = [];
				$scope.hide();
			});
		} else {
			//agarramos los valores de aquí mismo
			console.log('standing añejo');
			$scope.hide();
			if($stateParams.standingid=='first') {
				$scope.standings = $scope.standings.concat($rootScope.standingData.first);
				$scope.activeFirst = 'active';$scope.activeSecond = '';$scope.activeGeneral = '';
				$scope.header = $rootScope.standingData.first[0].header;
			} else if($stateParams.standingid=='second'){
				$scope.standings = $scope.standings.concat($rootScope.standingData.second);
				$scope.activeFirst = '';$scope.activeSecond = 'active';$scope.activeGeneral = '';
				$scope.header = $rootScope.standingData.second[0].header;
			} else if($stateParams.standingid=='general'){
				$scope.standings = $scope.standings.concat($rootScope.standingData.general);
				$scope.activeFirst = '';$scope.activeSecond = '';$scope.activeGeneral = 'active';
				$scope.header = $rootScope.standingData.general[0].header;
			} else if($stateParams.standingid=='points'){
				$scope.standings = $scope.standings.concat($rootScope.standingData.points);
			}
		}
	}
	$scope.getStanding();
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$rootScope.requestStandingData = true;
		$scope.standings = [];
		$scope.getStanding();
		$scope.$broadcast('scroll.refreshComplete');
	}
}])
// login page of app //
app.controller('SistemaCompetenciaCtrl', ['$state','$scope', '$ionicScrollDelegate', function($state, $scope, $ionicScrollDelegate) {	
	// add your login logic here
	$scope.scrollTop = function() {
	    $ionicScrollDelegate.scrollTop();
	}
}])// Standing page of app //
app.controller('PlayoffsCtrl', ['$rootScope','$scope', '$stateParams', 'PlayoffsData', '$ionicLoading', function($rootScope, $scope, $stateParams, PlayoffsData, $ionicLoading) {	
	// add your login logic here
	$scope.playoffs = [];
	$scope.header = "";
	$scope.playoffsid = $stateParams.playoffsid;
	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	};
	$scope.hide = function(){
		$ionicLoading.hide();
	};
	$scope.getPlayoffs = function(){
		if($rootScope.requestPlayoffsData==true){
			//si puedo ir a traer nuevos valores
			$scope.show();
			PlayoffsData.getPlayoffsData()
			.success(function (playoffs) {
				$scope.hide();
				$rootScope.PlayoffsData = playoffs;
				console.log('playoffs fresco');
				$rootScope.requestPlayoffsData = false;
				if($stateParams.playoffsid=='repesca') {
					$scope.playoffs = $scope.playoffs.concat(playoffs.repesca);
					$scope.activeRepesca = 'active';$scope.activeSemifinal = '';$scope.activeFinal = '';
				} else if($stateParams.playoffsid=='semifinal'){
					$scope.playoffs = $scope.playoffs.concat(playoffs.semifinal);
					$scope.activeRepesca = '';$scope.activeSemifinal = 'active';$scope.activeFinal = '';
				} else if($stateParams.playoffsid=='final'){
					$scope.playoffs = $scope.playoffs.concat(playoffs.final);
					$scope.activeRepesca = '';$scope.activeSemifinal = '';$scope.activeFinal = 'active';
				}
				
			})
			.error(function (error) {
				$scope.playoffs = [];
				$scope.hide();
			});
		} else {
			//agarramos los valores de aquí mismo
			console.log('playoffs añejo');
			$scope.hide();
			if($stateParams.playoffsid=='repesca') {
				$scope.playoffs = $scope.playoffs.concat($rootScope.PlayoffsData.repesca);
				$scope.activeRepesca = 'active';$scope.activeSemifinal = '';$scope.activeFinal = '';
			} else if($stateParams.playoffsid=='semifinal'){
				$scope.playoffs = $scope.playoffs.concat($rootScope.PlayoffsData.semifinal);
				$scope.activeRepesca = '';$scope.activeSemifinal = 'active';$scope.activeFinal = '';
			} else if($stateParams.playoffsid=='final'){
				$scope.playoffs = $scope.playoffs.concat($rootScope.PlayoffsData.final);
				$scope.activeRepesca = '';$scope.activeSemifinal = '';$scope.activeFinal = 'active';
			}
		}
	}
	$scope.getPlayoffs();
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$rootScope.requestPlayoffsData = true;
		$scope.playoffs = [];
		$scope.getPlayoffs();
		$scope.$broadcast('scroll.refreshComplete');
	}
}])
app.controller('SerieDelCaribeCtrl', ['$rootScope','$scope', '$stateParams', 'SerieDelCaribeData', '$ionicLoading', function($rootScope, $scope, $stateParams, SerieDelCaribeData, $ionicLoading) {	
	// add your login logic here
	$scope.seriedelcaribe = [];
	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	};
	$scope.hide = function(){
		$ionicLoading.hide();
	};
	$scope.getSerieDelCaribe = function(){
			$scope.show();
			SerieDelCaribeData.getSerieDelCaribeData()
			.success(function (seriedelcaribe) {
				$scope.hide();
				$scope.seriedelcaribe = seriedelcaribe;
			})
			.error(function (error) {
				$scope.seriedelcaribe = [];
				$scope.hide();
			});
		
	}
	$scope.getSerieDelCaribe();
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.playoffs = [];
		$scope.getSerieDelCaribe();
		$scope.$broadcast('scroll.refreshComplete');
	}
}])

// login page of app //
app.controller('LoginCtrl', ['$state','$scope', function($state, $scope) {	
	// add your login logic here
	$scope.doLogin = function(){
		$state.go('app.features');
	}
}])
// Stats Batting //
app.controller('StatsBattingCtrl', ['$scope', '$rootScope', 'BattingData', '$http', '$ionicLoading', '$ionicScrollDelegate', function($scope, $rootScope, BattingData, $http, $ionicLoading, $ionicScrollDelegate ) {	
	$scope.players = [],
	
	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	};
	$scope.hide = function(){
		$ionicLoading.hide();
	};
	$scope.getStats = function() {
		$scope.show();
		BattingData.getBattingData()
		.success(function (players) {
			$rootScope.battingAVG = [];
			$rootScope.battingR = [];
			$rootScope.battingHR = [];
			$rootScope.battingRBI = [];
			$rootScope.battingSB = [];
			
			  //AVG
	          players.sort(function(a, b){return b['avg']-a['avg']});
	          var count=0;var totalAB=0;
	          $.each( players, function( i, player ) {
	            totalAB = parseFloat(player['ab'])+parseFloat(player['bb'])+parseFloat(player['ibb'])+parseFloat(player['sf'])+parseFloat(player['sac'])+parseFloat(player['hbp']);
	            if((parseFloat(player['teamGames'])*3.1)<=totalAB ){ 
	            	if(count<10){
	            		$rootScope.battingAVG.push({"name":player['name'],"team":player['team'],"val":player['avg']});
			          	count++;
	            	}
	            }
	          })
	          //R
	          players.sort(function(a, b){return b['r']-a['r']});
	          $.each( players, function( i, player ) { 
	            if(i<10){
	            	$rootScope.battingR.push({"name":player['name'],"team":player['team'],"val":player['r']});
	        	}
	          })
	          //HR
	          players.sort(function(a, b){return b['hr']-a['hr']});
	          $.each( players, function( i, player ) { 
	            if(i<10){
	            	$rootScope.battingHR.push({"name":player['name'],"team":player['team'],"val":player['hr']});
	            }
	          })
	          //RBI
	          players.sort(function(a, b){return b['rbi']-a['rbi']});
	          $.each( players, function( i, player ) { 
	            if(i<10){
	            	$rootScope.battingRBI.push({"name":player['name'],"team":player['team'],"val":player['rbi']});
	            }
	          })
	          //SB
	          players.sort(function(a, b){return b['sb']-a['sb']});
	          $.each( players, function( i, player ) { 
	            if(i<10){
	            	$rootScope.battingSB.push({"name":player['name'],"team":player['team'],"val":player['sb']});
	            }
	          })
			  $scope.hide();
		})
		.error(function (error) {
			$scope.hide();
		});
	}
	$scope.getStats();
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.getStats();
		$scope.$broadcast('scroll.refreshComplete');
	}
}])

app.controller('StatsPitchingCtrl',['$scope', '$rootScope', 'PitchingData', '$http', '$ionicLoading', '$ionicScrollDelegate', function($scope, $rootScope, PitchingData, $http, $ionicLoading, $ionicScrollDelegate ) {	
	$scope.players = [],
	

	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	};
	$scope.hide = function(){
		$ionicLoading.hide();
	};
	$scope.getStats = function() {
		$scope.show();
		PitchingData.getPitchingData()
		.success(function (players) {
			$rootScope.pitchingW = [];
			$rootScope.pitchingERA = [];
			$rootScope.pitchingSO = [];
			$rootScope.pitchingSV = [];
			$rootScope.pitchingWHIP = [];

			//W
            players.sort(function(a, b){return b['w']-a['w']});
            $.each( players, function( i, player ) {
            	if(i<10){$rootScope.pitchingW.push({"name":player['name'],"team":player['team'],"val":player['w']})}
            })
            //ERA
            players.sort(function(a, b){return a['era']-b['era']});count=0;
            $.each(players, function( i, player ) {
	            if(parseFloat(player['tg'])<=parseFloat(player['ip'])){
	            	if(count<10){
            			$rootScope.pitchingERA.push({"name":player['name'],"team":player['team'],"val":player['era']});
            			count++;
            		}
		        }
	        });
            //SO
            players.sort(function(a, b){return b['so']-a['so']});
            $.each( players, function( i, player ) { 
              if(i<10){$rootScope.pitchingSO.push({"name":player['name'],"team":player['team'],"val":player['so']})}
            })
            //SV
            players.sort(function(a, b){return b['sv']-a['sv']});
            $.each( players, function( i, player ) { 
              if(i<10){
                $rootScope.pitchingSV.push({"name":player['name'],"team":player['team'],"val":player['sv']});
              }
            })
            //WHIP
            players.sort(function(a, b){return a['whip']-b['whip']});count=0;
            $.each( players, function( i, player ) {  
              if(parseFloat(player['tg'])<=(player['ip']) ){
              	if(count<10){
                	$rootScope.pitchingWHIP.push({"name":player['name'],"team":player['team'],"val":player['whip']});
                	count++
                }
              }
            })
			$scope.hide();
		})
		.error(function (error) {
			$scope.hide();
		});
	}
	$scope.getStats();
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.getStats();
		$scope.$broadcast('scroll.refreshComplete');
	}
}])
// Stats Listing //
app.controller('StatsListCtrl', ['$scope', '$rootScope','$stateParams', '$http', '$ionicLoading', '$ionicScrollDelegate',  function($scope, $rootScope, $stateParams, $http, $ionicLoading, $ionicScrollDelegate  ) {	
	$scope.leaders = [];
	$scope.statsid = $stateParams.statsid.toUpperCase();
	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	};
	$scope.hide = function(){
		$ionicLoading.hide();
	};
	if($stateParams.statsid=='avg'){
		$scope.leaders = $rootScope.battingAVG
	} else if($stateParams.statsid=='r'){
		$scope.leaders = $rootScope.battingR;
	} else if($stateParams.statsid=='hr'){
		$scope.leaders = $rootScope.battingHR;
	} else if($stateParams.statsid=='rbi'){
		$scope.leaders = $rootScope.battingRBI;
	} else if($stateParams.statsid=='sb'){
		$scope.leaders = $rootScope.battingSB;
	} else if($stateParams.statsid=='w'){
		$scope.leaders = $rootScope.pitchingW;
	} else if($stateParams.statsid=='era'){
		$scope.leaders = $rootScope.pitchingERA;
	} else if($stateParams.statsid=='so'){
		$scope.leaders = $rootScope.pitchingSO;
	} else if($stateParams.statsid=='sv'){
		$scope.leaders = $rootScope.pitchingSV;
	} else if($stateParams.statsid=='whip'){
		$scope.leaders = $rootScope.pitchingWHIP;
	}
	$scope.scrollTop = function() {
	    $ionicScrollDelegate.scrollTop();
	}
}])
/*  Highlights controller  */
app.controller('HighlightsCtrl', ['$scope', 'HighlightsData', '$ionicLoading', '$ionicScrollDelegate', function($scope, HighlightsData, $ionicLoading, $ionicScrollDelegate) {	
	$scope.highlights = [];
	// add your login logic here
	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	};
	$scope.hide = function(){
		$ionicLoading.hide();
	};
	$scope.getHighlights = function() {
		$scope.show();
		HighlightsData.getHighlightsData()
		.success(function (highlights) {
			$scope.hide();
			highlights.sort(function(a, b){return b["ID"]-a["ID"]});
	    	$scope.highlights = highlights;
	    	//console.log(highlights);
		})
		.error(function (error) {
			$scope.highlights = [];
			$scope.hide();
		});
	}
	$scope.getHighlights();
	$scope.getMediumThumb = function(obj){
    	return obj.replace("/thumb_", "/player_");
  	};
  	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.show();
		$scope.highlights = [];
		$scope.getHighlights();
		$scope.$broadcast('scroll.refreshComplete');
	}
	$scope.scrollTop = function() {
	    $ionicScrollDelegate.scrollTop();
	}
}])
/* News controller */
app.controller('NewsCtrl', ['$rootScope','$scope', 'News', '$ionicLoading', '$ionicScrollDelegate', function($rootScope, $scope, News, $ionicLoading, $ionicScrollDelegate) {	
	$scope.news = [];

	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	};
	$scope.hide = function(){
		$ionicLoading.hide();
	};
	$scope.show();
	// load more content function
	$scope.getNews = function(){
		if($rootScope.requestNewsData == true) {
			News.getNews()
			.success(function (news) {
				$scope.hide();
				$rootScope.requestNewsData = false;
				$rootScope.newsData = news;
				$scope.news = $scope.news.concat(news);
				console.log(news);
			})
			.error(function (error) {
				$scope.news = [];
				$scope.hide();
			});
		} else {
			$scope.hide();
			$scope.news = $sce.trustAsHtml($scope.news.concat($rootScope.requestNewsData));
		}
	}
	$scope.getNews();
	
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.show();
		$rootScope.requestNewsData = true;
		$scope.items = [];
		$scope.getNews();
		$scope.$broadcast('scroll.refreshComplete');
	}
	$scope.scrollTop = function() {
	    $ionicScrollDelegate.scrollTop();
	}
}])
/*   Post controller  */
app.controller('PostCtrl', ['$scope', '$stateParams', '$http', '$sce', '$ionicLoading', '$ionicScrollDelegate', function($scope, $stateParams, $http, $sce, $ionicLoading, $ionicScrollDelegate) {	
	$scope.post = [];
	$scope.postid = $stateParams.postid;
	
	$scope.show = function() {
		$ionicLoading.show({
		  template: 'Cargando...'
		});
	};
	$scope.hide = function(){
		$ionicLoading.hide();
	};
	$scope.getPost = function(){
		$scope.show();
		$http.get("http://cdn.lmp.mx/widgets/news/news_"+$stateParams.postid+".json")
	    .success(function(response) {
	    	$scope.hide();
	    	$scope.mycontent = $sce.trustAsHtml(response.content);
	    	$scope.post = response;
	    	console.log($scope.post);
	    })
	    .error(function (error) {
			$scope.post = [];
			$scope.hide();
		});
	}
	$scope.getPost();
	
	// pull to refresh buttons
	$scope.doRefresh = function(){
		$scope.post = [];
		$scope.getPost();
		$scope.$broadcast('scroll.refreshComplete');
	}
	$scope.scrollTop = function() {
	    $ionicScrollDelegate.scrollTop();
	}
}])
/*  Settings Controller */
app.controller('SettingsCtrl',['$state', '$scope', function($state, $scope) {
	if((window.localStorage.getItem("mxc_start") != null)&&window.localStorage.getItem("mxc_start")=='yes') {$('#mxc_start').prop('checked', true);}
	if((window.localStorage.getItem("mxc_end") != null)&&window.localStorage.getItem("mxc_end")=='yes') {$('#mxc_end').prop('checked', true);}
	if((window.localStorage.getItem("mxc_score") != null)&&window.localStorage.getItem("mxc_score")=='yes') {$('#mxc_score').prop('checked', true);}

	if((window.localStorage.getItem("her_start") != null)&&window.localStorage.getItem("her_start")=='yes') {$('#her_start').prop('checked', true);}
	if((window.localStorage.getItem("her_end") != null)&&window.localStorage.getItem("her_end")=='yes') {$('#her_end').prop('checked', true);}
	if((window.localStorage.getItem("her_score") != null)&&window.localStorage.getItem("her_score")=='yes') {$('#her_score').prop('checked', true);}

	if((window.localStorage.getItem("obr_start") != null)&&window.localStorage.getItem("obr_start")=='yes') {$('#obr_start').prop('checked', true);}
	if((window.localStorage.getItem("obr_end") != null)&&window.localStorage.getItem("obr_end")=='yes') {$('#obr_end').prop('checked', true);}
	if((window.localStorage.getItem("obr_score") != null)&&window.localStorage.getItem("obr_score")=='yes') {$('#obr_score').prop('checked', true);}

	if((window.localStorage.getItem("nav_start") != null)&&window.localStorage.getItem("nav_start")=='yes') {$('#nav_start').prop('checked', true);}
	if((window.localStorage.getItem("nav_end") != null)&&window.localStorage.getItem("nav_end")=='yes') {$('#nav_end').prop('checked', true);}
	if((window.localStorage.getItem("nav_score") != null)&&window.localStorage.getItem("nav_score")=='yes') {$('#nav_score').prop('checked', true);}

	if((window.localStorage.getItem("nav_start") != null)&&window.localStorage.getItem("nav_start")=='yes') {$('#nav_start').prop('checked', true);}
	if((window.localStorage.getItem("nav_end") != null)&&window.localStorage.getItem("nav_end")=='yes') {$('#nav_end').prop('checked', true);}
	if((window.localStorage.getItem("nav_score") != null)&&window.localStorage.getItem("nav_score")=='yes') {$('#nav_score').prop('checked', true);}

	if((window.localStorage.getItem("cul_start") != null)&&window.localStorage.getItem("cul_start")=='yes') {$('#cul_start').prop('checked', true);}
	if((window.localStorage.getItem("cul_end") != null)&&window.localStorage.getItem("cul_end")=='yes') {$('#cul_end').prop('checked', true);}
	if((window.localStorage.getItem("cul_score") != null)&&window.localStorage.getItem("cul_score")=='yes') {$('#cul_score').prop('checked', true);}

	if((window.localStorage.getItem("maz_start") != null)&&window.localStorage.getItem("maz_start")=='yes') {$('#maz_start').prop('checked', true);}
	if((window.localStorage.getItem("maz_end") != null)&&window.localStorage.getItem("maz_end")=='yes') {$('#maz_end').prop('checked', true);}
	if((window.localStorage.getItem("maz_score") != null)&&window.localStorage.getItem("maz_score")=='yes') {$('#maz_score').prop('checked', true);}

	if((window.localStorage.getItem("jal_start") != null)&&window.localStorage.getItem("jal_start")=='yes') {$('#jal_start').prop('checked', true);}
	if((window.localStorage.getItem("jal_end") != null)&&window.localStorage.getItem("jal_end")=='yes') {$('#jal_end').prop('checked', true);}
	if((window.localStorage.getItem("jal_score") != null)&&window.localStorage.getItem("jal_score")=='yes') {$('#jal_score').prop('checked', true);}

	//aguilas
	$('#mxc_start').click(function() { 
		if($('#mxc_start').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("mxc_start");
			window.localStorage.setItem("mxc_start", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("mxc_start");
			window.localStorage.setItem("mxc_start", "no");
		}
	});
	$('#mxc_end').click(function() { 
		if($('#mxc_end').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("mxc_end");
			window.localStorage.setItem("mxc_end", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("mxc_end");
			window.localStorage.setItem("mxc_end", "no");
		}
	});
	$('#mxc_score').click(function() { 
		if($('#mxc_score').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("mxc_score");
			window.localStorage.setItem("mxc_score", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("mxc_score");
			window.localStorage.setItem("mxc_score", "no");
		}
	});




	//naranjeros
	$('#her_start').click(function() { 
		if($('#her_start').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("her_start");
			window.localStorage.setItem("her_start", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("her_start");
			window.localStorage.setItem("her_start", "no");
		}
	});
	$('#her_end').click(function() { 
		if($('#her_end').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("her_end");
			window.localStorage.setItem("her_end", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("her_end");
			window.localStorage.setItem("her_end", "no");
		}
	});
	$('#her_score').click(function() { 
		if($('#her_score').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("her_score");
			window.localStorage.setItem("her_score", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("her_score");
			window.localStorage.setItem("her_score", "no");
		}
	});





	//yaquis
	$('#obr_start').click(function() { 
		if($('#obr_start').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("obr_start");
			window.localStorage.setItem("obr_start", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("obr_start");
			window.localStorage.setItem("obr_start", "no");
		}
	});
	$('#obr_end').click(function() { 
		if($('#obr_end').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("obr_end");
			window.localStorage.setItem("obr_end", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("obr_end");
			window.localStorage.setItem("obr_end", "no");
		}
	});
	$('#obr_score').click(function() { 
		if($('#obr_score').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("obr_score");
			window.localStorage.setItem("obr_score", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("obr_score");
			window.localStorage.setItem("obr_score", "no");
		}
	});





	//mayos
	$('#nav_start').click(function() { 
		if($('#nav_start').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("nav_start");
			window.localStorage.setItem("nav_start", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("nav_start");
			window.localStorage.setItem("nav_start", "no");
		}
	});
	$('#nav_end').click(function() { 
		if($('#nav_end').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("nav_end");
			window.localStorage.setItem("nav_end", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("nav_end");
			window.localStorage.setItem("nav_end", "no");
		}
	});
	$('#nav_score').click(function() { 
		if($('#nav_score').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("nav_score");
			window.localStorage.setItem("nav_score", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("nav_score");
			window.localStorage.setItem("nav_score", "no");
		}
	});





	//caneros
	$('#moc_start').click(function() { 
		if($('#moc_start').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("moc_start");
			window.localStorage.setItem("moc_start", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("moc_start");
			window.localStorage.setItem("moc_start", "no");
		}
	});
	$('#moc_end').click(function() { 
		if($('#moc_end').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("moc_end");
			window.localStorage.setItem("moc_end", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("moc_end");
			window.localStorage.setItem("moc_end", "no");
		}
	});
	$('#moc_score').click(function() { 
		if($('#moc_score').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("moc_score");
			window.localStorage.setItem("moc_score", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("moc_score");
			window.localStorage.setItem("moc_score", "no");
		}
	});





	//tomateros
	$('#cul_start').click(function() { 
		if($('#cul_start').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("cul_start");
			window.localStorage.setItem("cul_start", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("cul_start");
			window.localStorage.setItem("cul_start", "no");
		}
	});
	$('#cul_end').click(function() { 
		if($('#cul_end').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("cul_end");
			window.localStorage.setItem("cul_end", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("cul_end");
			window.localStorage.setItem("cul_end", "no");
		}
	});
	$('#cul_score').click(function() { 
		if($('#cul_score').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("cul_score");
			window.localStorage.setItem("cul_score", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("cul_score");
			window.localStorage.setItem("cul_score", "no");
		}
	});
	//venados
	$('#maz_start').click(function() { 
		if($('#maz_start').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("maz_start");
			window.localStorage.setItem("maz_start", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("maz_start");
			window.localStorage.setItem("maz_start", "no");
		}
	});
	$('#maz_end').click(function() { 
		if($('#maz_end').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("maz_end");
			window.localStorage.setItem("maz_end", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("maz_end");
			window.localStorage.setItem("maz_end", "no");
		}
	});
	$('#maz_score').click(function() { 
		if($('#maz_score').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("maz_score");
			window.localStorage.setItem("maz_score", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("maz_score");
			window.localStorage.setItem("maz_score", "no");
		}
	});

	//charros
	$('#jal_start').click(function() { 
		if($('#jal_start').is(':checked')){
			//has activado tu suscripción
			window.localStorage.setItem("jal_start", "yes");
			PushbotsPlugin.tag("jal_start");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("jal_start");
			window.localStorage.setItem("jal_start", "no");
		}
	});
	$('#jal_end').click(function() { 
		if($('#jal_end').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("jal_end");
			window.localStorage.setItem("jal_end", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("jal_end");
			window.localStorage.setItem("jal_end", "no");
		}
	});
	$('#jal_score').click(function() { 
		console.log("jal_score");
		if($('#jal_score').is(':checked')){
			//has activado tu suscripción
			PushbotsPlugin.tag("jal_score");
			window.localStorage.setItem("jal_score", "yes");
		} else {
			//se ha desactivado tu suscripción
			PushbotsPlugin.untag("jal_score");
			window.localStorage.setItem("jal_score", "no");
		}
	});

	//reset notifications
	$('#reset_notifications').click(function() { 

		$('#mxc_start').attr('checked', false); 
		PushbotsPlugin.untag("mxc_start");
		window.localStorage.setItem("mxc_start", "no");

		$('#mxc_end').attr('checked', false); 
		PushbotsPlugin.untag("mxc_end");
		window.localStorage.setItem("mxc_end", "no");

		$('#mxc_score').attr('checked', false); 
		PushbotsPlugin.untag("mxc_score");
		window.localStorage.setItem("mxc_score", "no");


		$('#her_start').attr('checked', false); 
		PushbotsPlugin.untag("her_start");
		window.localStorage.setItem("her_start", "no");

		$('#her_end').attr('checked', false); 
		PushbotsPlugin.untag("her_end");
		window.localStorage.setItem("her_end", "no");

		$('#her_score').attr('checked', false); 
		PushbotsPlugin.untag("her_score");
		window.localStorage.setItem("her_score", "no");


		$('#obr_start').attr('checked', false); 
		PushbotsPlugin.untag("obr_start");
		window.localStorage.setItem("obr_start", "no");

		$('#obr_end').attr('checked', false); 
		PushbotsPlugin.untag("obr_end");
		window.localStorage.setItem("obr_end", "no");

		$('#obr_score').attr('checked', false); 
		PushbotsPlugin.untag("obr_score");
		window.localStorage.setItem("obr_score", "no");


		//mayos
		$('#nav_start').attr('checked', false); 
		PushbotsPlugin.untag("nav_start");
		window.localStorage.setItem("nav_start", "no");

		$('#nav_end').attr('checked', false); 
		PushbotsPlugin.untag("nav_end");
		window.localStorage.setItem("nav_end", "no");

		$('#nav_score').attr('checked', false); 
		PushbotsPlugin.untag("nav_score");
		window.localStorage.setItem("nav_score", "no");


		//caneros
		$('#moc_start').attr('checked', false); 
		PushbotsPlugin.untag("moc_start");
		window.localStorage.setItem("moc_start", "no");

		$('#moc_end').attr('checked', false); 
		PushbotsPlugin.untag("moc_end");
		window.localStorage.setItem("moc_end", "no");

		$('#moc_score').attr('checked', false); 
		PushbotsPlugin.untag("moc_score");
		window.localStorage.setItem("moc_score", "no");


		//tomateros
		$('#cul_start').attr('checked', false); 
		PushbotsPlugin.untag("cul_start");
		window.localStorage.setItem("cul_start", "no");

		$('#cul_end').attr('checked', false); 
		PushbotsPlugin.untag("cul_end");
		window.localStorage.setItem("cul_end", "no");

		$('#cul_score').attr('checked', false); 
		PushbotsPlugin.untag("cul_score");
		window.localStorage.setItem("cul_score", "no");


		//venados
		$('#maz_start').attr('checked', false); 
		PushbotsPlugin.untag("maz_start");
		window.localStorage.setItem("maz_start", "no");

		$('#maz_end').attr('checked', false); 
		PushbotsPlugin.untag("maz_end");
		window.localStorage.setItem("maz_end", "no");

		$('#maz_score').attr('checked', false); 
		PushbotsPlugin.untag("maz_score");
		window.localStorage.setItem("maz_score", "no");
		

		//charros
		$('#jal_start').attr('checked', false); 
		PushbotsPlugin.untag("jal_start");
		window.localStorage.setItem("jal_start", "no");

		$('#jal_end').attr('checked', false); 
		PushbotsPlugin.untag("jal_end");
		window.localStorage.setItem("jal_end", "no");

		$('#jal_score').attr('checked', false); 
		PushbotsPlugin.untag("jal_score");
		window.localStorage.setItem("jal_score", "no");

		alert('Notificaciones desactivadas');
	});
}])
/* About us Controller */
app.controller('AboutCtrl', ['$scope', function($scope) {

}])
// show ad mob here in this page
app.controller('AdmobCtrl', ['$scope', 'ConfigAdmob', function($scope, ConfigAdmob){
	$scope.showInterstitial = function(){
		if(AdMob) AdMob.showInterstitial();
	}
	document.addEventListener("deviceready", function(){
		if(AdMob) {
			// show admob banner
			if(ConfigAdmob.banner) {
				AdMob.createBanner( {
					adId: ConfigAdmob.banner, 
					position: AdMob.AD_POSITION.BOTTOM_CENTER, 
					autoShow: true 
				} );
			}
			// preparing admob interstitial ad
			if(ConfigAdmob.interstitial) {
				AdMob.prepareInterstitial( {
					adId:ConfigAdmob.interstitial, 
					autoShow:false
				} );
			}
		}
		if(ConfigAdmob.interstitial) {
			$scope.showInterstitial();
		}
	});
}]);